minput_get_description(3m17n)

NAME
minput_get_description - Get description text of an input method.

SYNOPSIS
MText * minput_get_description (MSymbol language, MSymbol name)

DESCRIPTION
Get description text of an input method.

The minput_get_description() function returns an M-text that describes the input method specified by language and name.

RETURN VALUE

    If the specified input method has a description text, a pointer to MText is returned. The caller has to free it by m17n_object_unref(). If the input method does not have a description text, NULL is returned.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.